/*
 * Declarations of the config routines.
 */

extern int CF_SetConfigFile (const char *, const char *);
/*
 * New config interface -- use these ones if you can.
 */
extern const char *cf_GetParam (const char *cfile, const char *param);
extern int cf_GetInt (const char *cfile, const char *param, int def);
extern float cf_GetFloat (const char *cfile, const char *param, float def);
extern void cf_ConfigDir (const char *dir);
/*
 * These are the older interface, best avoided at all costs.
 */
extern void CF_GetConfigString (const char *param, char *result,
		const char *deflt);
extern void CF_GetConfigInt (const char *param, int *result, int deflt);
extern float CF_GetConfigFloat (const char *param, float def);
extern const char * CF_GetConfigParam (const char *);
